Summary:        A tiling terminal emulator based on GTK+ 3
Name:           tilix
Version:        1.8.1
Release:        1%{?dist}
License:        MPLv2.0
Group:          Applications/System

Source:         https://github.com/gnunn1/%{name}/releases/download/%{version}/%{name}.zip
URL:            http://github.com/gnunn1/%{name}

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(vte-2.90)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  dconf
BuildRequires:  intltool desktop-file-utils libappstream-glib

Requires:       dconf vte291
Obsoletes:	terminix <= %{version}-%{release}

%description
A tiling terminal emulator

%package nautilus
Summary:        %{name} Nautilus integration
Group:          Applications/System
Requires:       nautilus-extensions
Requires:       nautilus-python
Requires:       %{name} = %{version}-%{release}
Obsoletes:	terminix-nautilus <= %{version}-%{release}

%description nautilus
Files to integrate %{name} into nautilus.

%prep
exit 0

%build
exit 0

%install
unzip -x -d %{buildroot} %{SOURCE0}

#fix wrong category
sed -i -e 's/Categories=Utilities/Categories=GNOME;GTK;System;TerminalEmulator;/' %{buildroot}%{_datadir}/applications/com.gexperts.Tilix.desktop

#fix #786 removing the invalid translate url
sed -i '/translate/d' %{buildroot}/%{_datadir}/metainfo/com.gexperts.Tilix.appdata.xml

desktop-file-validate %{buildroot}%{_datadir}/applications/com.gexperts.Tilix.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

# remove unused files
rm -rf %{buildroot}%{_datadir}/icons/hicolor/experimental
rm -rf %{buildroot}%{_datadir}/icons/hicolor/files

%find_lang %{name}

%post
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ]
then
    %{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/com.gexperts.Tilix.desktop
%{_datadir}/metainfo/com.gexperts.Tilix.appdata.xml
%{_datadir}/icons/hicolor/*/apps/com.gexperts.Tilix.png
%{_datadir}/icons/hicolor/*/apps/com.gexperts.Tilix-symbolic.svg
%{_datadir}/%{name}/schemes/*
%{_datadir}/%{name}/resources/%{name}.gresource
%{_datadir}/%{name}/scripts/tilix_int.sh
%{_datadir}/glib-2.0/schemas/com.gexperts.Tilix.gschema.xml
%{_datadir}/dbus-1/services/com.gexperts.Tilix.service
%{_mandir}/ru/man1/%{name}.1.gz
%{_mandir}/pt_BR/man1/%{name}.1.gz
%{_mandir}/es/man1/%{name}.1.gz
%{_mandir}/de/man1/%{name}.1.gz
%{_mandir}/fr/man1/%{name}.1.gz
%{_mandir}/it/man1/%{name}.1.gz
%{_mandir}/uk/man1/%{name}.1.gz
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/cs/man1/%{name}.1.gz
%{_mandir}/sr/man1/%{name}.1.gz
%{_mandir}/nb_NO/man1/tilix.1.gz

%files nautilus
%{_datadir}/nautilus-python/extensions/*

%changelog
* Mon Aug 06 2018 Ivaylo Kuzev <ivkuzev@gmail.com> 1.8.1-1
- Update to 1.8.1

* Sun Feb 04 2018 Ivaylo Kuzev <ivkuzev@gmail.com> 1.7.5-1
- Update to 1.7.5

* Sun Oct 15 2017 Ivaylo Kuzev <ivkuzev@gmail.com> 1.7.1-1
- Update to 1.7.1

* Sun Jul 23 2017 Ivaylo Kuzev <ivkuzev@gmail.com> 1.6.4-1
- Update to 1.6.4

* Sun Jun 04 2017 Ivaylo Kuzev <ivkuzev@gmail.com> 1.6.1-1
- Update to 1.6.1

* Wed May 24 2017 Ivaylo Kuzev <ivkuzev@gmail.com> 1.5.8-1
- Update to 1.5.8
 
* Thu Apr 06 2017 Ivaylo Kuzev <ivkuzev@gmail.com> 1.5.6-1
- Initial build for el7
